/*
 * File:     wb_mf.h
 * Purpose:  Metafiles
 *
 *                       wxWindows 1.50
 * Copyright (c) 1993 Artificial Intelligence Applications Institute,
 *                   The University of Edinburgh
 *
 *                     Author: Julian Smart
 *                       Date: 7-9-93
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice, author statement and this permission
 * notice appear in all copies of this software and related documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,
 * IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL THE ARTIFICIAL INTELLIGENCE APPLICATIONS INSTITUTE OR THE
 * UNIVERSITY OF EDINBURGH BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF
 * DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH
 * THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */


#ifndef wxb_mfh
#define wxb_mfh
#include "wx_dc.h"

/*
 * Metafile and metafile device context classes - work in Windows 3.1 only
 *
 */

class wxbMetaFile: public wxObject
{
 public:
    
  wxbMetaFile(void);
  ~wxbMetaFile(void);

  // After this is called, the metafile cannot be used for anything
  // since it is now owned by the clipboard.
  virtual Bool SetClipboard(int width = 0, int height = 0);
};

class wxMetaFile;
class wxbMetaFileDC: public wxDC
{
 public:
  wxbMetaFileDC(char *file = NULL);
  ~wxbMetaFileDC(void);

  // Should be called at end of drawing
  virtual wxMetaFile *Close(void);
  virtual void SetMapMode(int mode);
};

#endif // wxb_mfh
