/*
 * File:     wx_dialg.h
 * Purpose:  wxDialogBox and common dialog declarations
 *
 *                       wxWindows 1.50
 * Copyright (c) 1993 Artificial Intelligence Applications Institute,
 *                   The University of Edinburgh
 *
 *                     Author: Julian Smart
 *                       Date: 7-9-93
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice, author statement and this permission
 * notice appear in all copies of this software and related documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,
 * IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL THE ARTIFICIAL INTELLIGENCE APPLICATIONS INSTITUTE OR THE
 * UNIVERSITY OF EDINBURGH BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF
 * DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH
 * THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef wx_dialgh
#define wx_dialgh

#include "common.h"
#include "wb_dialg.h"

// Dialog boxes
class wxDialogBox: public wxbDialogBox
{
 public:
  Bool modal_showing;

  wxDialogBox(void);
  wxDialogBox(wxFrame *frame, char *title, Bool modal = FALSE,
              int x = -1, int y = -1,
              int width = -1, int height = -1, int style = 0);
  ~wxDialogBox();

  virtual Bool Create(wxFrame *frame, char *title, Bool modal = FALSE,
              int x = -1, int y = -1,
              int width = -1, int height = -1, int style = 0);
  void SetSize(int x, int y, int width, int height);
  void SetClientSize(int width, int height);
  void GetPosition(int *x, int *y);
  virtual void Show(Bool show);
  virtual void Iconize(Bool iconize);
  virtual Bool Iconized(void);
  void Fit(void);

  void SetTitle(char *title);
  char *GetTitle(void);
};

#endif // wx_dialgh
