/*
 * File:     wx_dc.h
 * Purpose:  wxDC device context declaration (X version)
 *
 *                       wxWindows 1.50
 * Copyright (c) 1993 Artificial Intelligence Applications Institute,
 *                   The University of Edinburgh
 *
 *                     Author: Julian Smart
 *                       Date: 7-9-93
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice, author statement and this permission
 * notice appear in all copies of this software and related documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,
 * IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL THE ARTIFICIAL INTELLIGENCE APPLICATIONS INSTITUTE OR THE
 * UNIVERSITY OF EDINBURGH BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF
 * DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH
 * THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */


#ifndef wx_dch
#define wx_dch

#include <fstream.h>
#include "common.h"
#include "wx_frame.h"
#include "wx_gdi.h"
#include "wb_dc.h"

#ifdef wx_xview
#include "xview/scrollbar.h"
#endif

class wxDC: public wxbDC
{
 public:
  wxDC(void) {}
  ~wxDC(void) {}
};

/*
 * X
 * Ok, so all this isn't neat, but it about works.
 */

// Logical to device
// Absolute
#define XLOG2DEV(x) (int)(((x) - logical_origin_x)*logical_scale_x*user_scale_x + device_origin_x + 0.5)
#define YLOG2DEV(y) (int)(((y) - logical_origin_y)*logical_scale_y*user_scale_y + device_origin_y + 0.5)

// Logical to device without the device translation
#define XLOG2DEV_2(x) (int)(((x) - logical_origin_x)*logical_scale_x*user_scale_x + 0.5)
#define YLOG2DEV_2(y) (int)(((y) - logical_origin_y)*logical_scale_y*user_scale_y + 0.5)

// Relative
#define XLOG2DEVREL(x) (int)((x)*logical_scale_x*user_scale_x + 0.5)
#define YLOG2DEVREL(y) (int)((y)*logical_scale_y*user_scale_y + 0.5)

// Device to logical
// Absolute
#define XDEV2LOG(x) (int)(((x) - device_origin_x)/(logical_scale_x*user_scale_x) + logical_origin_x)

#define YDEV2LOG(y) (int)(((y) - device_origin_y)/(logical_scale_y*user_scale_y) + logical_origin_y)

// Relative
#define XDEV2LOGREL(x) (int)((x)/(logical_scale_x*user_scale_x))
#define YDEV2LOGREL(y) (int)((y)/(logical_scale_y*user_scale_y))

#endif // wx_dch
